/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/skeleton/wintel32/platform/wintel32platformskeleton.cpp

*/

#include "drivers/wintel32/wintel32.hpp"
#include "platform/wintel32/hwplatformwintel32.hpp"
#include "skeleton/platform/platform.hpp"


static CSGXDeviceMemory    *pMemoryMount;
static tBYTE MemoryBlock[2048];

void init_platform(void *, void *)
{
	CSGXDriverWintel32::create();

	CSGXMemoryAllocatorStdCPP *pAllocator = new CSGXMemoryAllocatorStdCPP(NULL, 0, CSGXMemoryAlignment());
	CSGXMemoryAllocator::setDefault(pAllocator);

	CWintel32HighTimer::create();

	CHardwarePlatformWinTel32::create();

	SGXText::initialize();

	CSGXDriverWintel32Core::create();
	CSGXDriverWintel32Filesystem::create();
	CSGXDriverWintel32Network::create();
	CSGXDriverWintel32VideoSmpeg::create();
}

